# Class FairBlockingQueue.ExchangeCountDownLatch<T>

java.lang.Object
java.util.concurrent.CountDownLatch
org.apache.tomcat.jdbc.pool.FairBlockingQueue.ExchangeCountDownLatch<T>

Enclosing class:
  `FairBlockingQueue<E>`

protected class FairBlockingQueue.ExchangeCountDownLatch<T> extends CountDownLatch

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected T`
  `item`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExchangeCountDownLatch(int i)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `getItem()`
  `void`
  `setItem(T item)`

  ### Methods inherited from class CountDownLatch

  `await, await, countDown, getCount, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### item

    protected volatile T item

- ## Constructor Details

  - ### ExchangeCountDownLatch

    public ExchangeCountDownLatch(int i)

- ## Method Details

  - ### getItem

    public T getItem()

  - ### setItem

    public void setItem(T item)